<?php
/**
 * @file
 * Admin page callbacks for the field_gdrive module.
 */

/**
 * The settings form function.
 */
function field_gdrive_settings() {
  $options = array (
      'user' => 'User',
      'group' => 'Group',
      'anyone' => 'Anyone'
  );
  $form ['gdrive_permission'] = array (
      '#type' => 'radios',
      '#title' => t ( 'Select Permission' ),
      '#options' => $options,
      '#default_value' => variable_get ( 'gdrive_permission', 'user' )
  );
  $form ['gdrive_domain'] = array (
      '#type' => 'textfield',
      '#title' => t ( 'Enter domain' ),
      '#default_value' => variable_get ( 'gdrive_domain', '' ),
      '#states' => array (
          'visible' => array (
              array (
                  ':input[name="gdrive_permission"]' => array (
                      'value' => 'domain'
                  )
              )
          ),
          'required' => array (
              ':input[name="gdrive_permission"]' => array (
                  'value' => 'domain'
              )
          )
      ),
      '#element_validate' => array (
          'field_gdrive_domain_validate'
      )
  );
  $form ['gdrive_group_mail'] = array (
      '#type' => 'textfield',
      '#title' => t ( 'Enter group email' ),
      '#default_value' => variable_get ( 'gdrive_group_mail', '' ),
      '#states' => array (
          'visible' => array (
              array (
                  ':input[name="gdrive_permission"]' => array (
                      'value' => 'group'
                  )
              )
          ),
          'required' => array (
              ':input[name="gdrive_permission"]' => array (
                  'value' => 'group'
              )
          )
      ),
      '#element_validate' => array (
          'field_gdrive_group_validate'
      )
  );
  
  return system_settings_form ( $form );
}

/**
 * Form Domain validate callback.
 */
function field_gdrive_domain_validate($form, &$form_state) {
  $values = $form_state ['values'];
  if ($values ['gdrive_permission'] == "domain" && empty ( $values ['gdrive_domain'] )) {
    form_set_error ( 'gdrive_domain', t ( 'Domain field is required.' ) );
  }
}

/**
 * Form group validate callback.
 */
function field_gdrive_group_validate($form, &$form_state) {
  $values = $form_state ['values'];
  if ($values ['gdrive_permission'] == "group" && empty ( $values ['gdrive_group_mail'] )) {
    form_set_error ( 'gdrive_group_mail', t ( 'Group field is required.' ) );
  }
}